Run health checks for container
curl --request POST \
--url https://api.kameleoon.com/healthchecks/{containerType}/{containerId}import requests
url = "https://api.kameleoon.com/healthchecks/{containerType}/{containerId}"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.kameleoon.com/healthchecks/{containerType}/{containerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"containerId": 12345,
"containerType": "EXPERIMENT",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"checks": [
{
"checkType": "VISITOR_TRACKING",
"status": "PASSED",
"message": "<string>"
}
],
"conversionChecks": [
{
"goalId": 123456,
"goalName": "Goal name 1",
"status": "WARNING",
"message": "<string>",
"lastConversionAt": "2023-11-07T05:31:56Z"
}
]
}{
"serviceName": "<string>",
"message": "<string>"
}{
"containerId": 12345,
"containerType": "EXPERIMENT",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"checks": [
{
"checkType": "VISITOR_TRACKING",
"status": "PASSED",
"message": "<string>"
}
],
"conversionChecks": [
{
"goalId": 123456,
"goalName": "Goal name 1",
"status": "WARNING",
"message": "<string>",
"lastConversionAt": "2023-11-07T05:31:56Z"
}
]
}{
"serviceName": "<string>",
"message": "<string>"
}HealthChecks
Run health checks for container
Runs on-demand health checks for given container (EXPERIMENT / PERSONALIZATION)
POST
/
healthchecks
/
{containerType}
/
{containerId}
Run health checks for container
Path Parameters
Container type
Available options:
EXPERIMENT, PERSONALIZATION Container id
Response
Health checks executed successfully
Health check response for container
Container id
Example:
12345
Container type
Available options:
EXPERIMENT, PERSONALIZATION, TARGETING_SEGMENT Example:
"EXPERIMENT"
Last update timestamp
General checks
Show child attributes
Show child attributes
Conversion-related checks grouped by goal
Show child attributes
Show child attributes
Was this page helpful?
⌘I